Name:          autospec
Version:       1.10.0
Release:       %mkrel 2
Summary:       Create specfiles and automatically update/check/fix rpm packages
Summary(it):   Crea specfile ed aggiorna/controlla/corregge in modo automatico pacchetti rpm
Group:         Development/Tools
URL:           http://www.openmamba.org/packages.html
Source:        autospec-%{version}.tar.bz2
Requires:      cpio, coreutils, curl, findutils, grep, sed
Requires:      /bin/mktemp
Requires:      /usr/bin/getopt
Requires:      bzip2
Requires:      gzip
Requires:      unzip
Requires:      curl
Requires:      %{name}-plugins = %{version}-%{release}
License:       GPL
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Autospec is a tool for automatically generating specfiles and updating rpm packages.
Install autospec if you are a packager or you just want to build/upgrade rpm packages in an easy and quick way.

%description -l it
Autospec è un tool in grado di generare in modo automatico specfile ed aggiornare pacchetti rpm.
Installa autospec se sei un packager o se vuoi creare/aggiornare pacchetti rpm in modo semplice e rapido.

%package plugins
Summary:       Autospec plugins
Summary(it):   Plugin di autospec
Group:         Development/Tools
Requires:      %{name}-libs = %{version}-%{release}
Requires:      %{name}-tests = %{version}-%{release}
Requires(pre): rpm

%description plugins
This package contains the plugins needed for generating specfiles, updating rpm packages, and extracting files from a source rpm package.

%description -l it plugins
Questo pacchetto contiene i plugin necessari per generare specfile, aggiornare pacchetti rpm, estrarre file da pacchetti source rpm (srpm).

%package libs
Summary:       Autospec libraries
Summary(it):   Librerie di autospec
Group:         Development/Tools

%description libs
This package contains the library functions needed by autospec, and their plugins.
They can be used by external tools that manage rpm packages and specfiles.

%description -l it libs
Questo pacchetto contiene le librerie necessarie al funzionamento di autospec e dei suoi plugin.
Possono anche essere stilizzate da tool esterni che lavorano su rpm e specfile.

%package tests
Summary:       Autospec tests
Summary(it):   Test per autospec
Group:         Development/Tools

%description tests
This package contains the tests to check rpm packages for quality and security issues.

%description -l it tests
Questo pacchetto contiene i test per il controllo di qualità e sicurezza dei pacchetti rpm.
Possono anche essere stilizzate da tool esterni che lavorano su rpm e specfile.

%package tools
Summary:       Autospec extra tools
Summary(it):   Programmi extra basati su autospec
Group:         Development/Tools
Requires:      %{name}-libs = %{version}-%{release}

%description tools
This package contains some extra tools.

%description -l it tools
Questo pacchetto contiene alcuni script extra.

%prep
%setup -q

%build
make prefix=%{_prefix}

%install
[ "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}

%clean
[ "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%lang(it) %{_mandir}/it/man1/autospec.*
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/autospec_fe.mo
%doc AUTHORS BUGS ChangeLog COPYING NEWS TODO
%doc autospec-it-HOWTO

%files plugins
%defattr(-,root,root)
%{_bindir}/config-getvar
%{_bindir}/pck-extract
%{_bindir}/pck-update
%{_bindir}/spec-create
%config %{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/templates/*
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/config-getvar.mo
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/pck-extract.mo
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/pck-update.mo
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/spec-create.mo

%files libs
%defattr(-,root,root)
%{_datadir}/%{name}/lib/*
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/lib*.mo

%files tests
%defattr(-,root,root)
%{_datadir}/%{name}/tests
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/test??_*.mo

%files tools
%defattr(-,root,root)
%{_bindir}/extract-specs
%{_bindir}/autoupdate-*

%changelog
* Fri Nov 10 2017 adrianomorselli <adrianomorselli> 1.10.0-2uplos2017
- imported for uplos
